Name:           maven-shared-incremental
Version:        1.1
Release:        %mkrel 13
Group:          Development/Java
Summary:        Maven Incremental Build support utilities
License:        ASL 2.0
URL:            http://maven.apache.org/shared/maven-shared-incremental/
BuildArch:      noarch

Source0:        http://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)

%description
Various utility classes and plexus components for supporting
incremental build functionality in maven plugins.

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package provides %{summary}.

%prep
%setup -q

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Mon May 15 2017 neoclust <neoclust> 1.1-13.mga6
+ Revision: 1101391
- Rebuild maven-* packages

* Mon May 08 2017 neoclust <neoclust> 1.1-12.mga6
+ Revision: 1099665
- Fix BuildRequires
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.1-10.mga6
+ Revision: 977253
- First rebuild of the java stack
- sync package maven-shared-incremental with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Dec 26 2014 dmorgan <dmorgan> 1.1-7.mga5
+ Revision: 806232
- Fix BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 738810
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1-4.mga4
+ Revision: 529510
- Mageia 4 Mass Rebuild

  + dmorgan <dmorgan>
    - Remove alias for fake artifactId

* Tue Jul 09 2013 dmorgan <dmorgan> 1.1-2.mga4
+ Revision: 452199
- Build with original POM file
- Temporarily provide fake artifactId
- New version (bootstrap mode)

* Tue Jul 09 2013 dmorgan <dmorgan> 1.0-1.mga4
+ Revision: 452075
- Use version 1.0 first

* Mon Jul 08 2013 dmorgan <dmorgan> 1.1-1.mga4
+ Revision: 451398
- imported package maven-shared-incremental


* Wed Apr 24 2013 Michal Srb <msrb@redhat.com> - 1.1-4
- Remove alias for fake artifactId

* Wed Apr 24 2013 Michal Srb <msrb@redhat.com> - 1.1-3
- Build with original POM file
- Temporarily provide fake artifactId

* Wed Apr 24 2013 Michal Srb <msrb@redhat.com> - 1.1-2
- Build 1.1 with fake artifactId

* Wed Apr 10 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.1-1
- Update to upstream version 1.1

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0-1
- Initial packaging
